import { ReactiveController, ReactiveElement } from 'lit';
export type TypeClosable = ReactiveElement & {
    closable: boolean;
};
/**
 * Controller for enabling closable behavior for elements.
 */
export declare class TypeClosableController<T extends TypeClosable> implements ReactiveController {
    #private;
    private host;
    constructor(host: T);
    hostConnected(): void;
    close(): void;
}
